> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# get-connector

> Read a single connector by id or key.



## OpenAPI

````yaml /api-reference/membrane-api.json get /connectors/{idOrKey}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors/{idOrKey}:
    get:
      summary: get-connector
      description: Read a single connector by id or key.
      operationId: getConnector
      parameters:
        - name: idOrKey
          in: path
          required: true
          schema:
            type: string
            description: Connector id, uuid, or key
        - name: version
          in: query
          required: false
          schema:
            description: Connector version, or "dev".
            type: string
      responses:
        '200':
          description: Read a single connector by id or key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  key:
                    type: string
                  name:
                    type: string
                  isReadOnly:
                    type: boolean
                additionalProperties: {}
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````